Skip to main content
PATCH
PATCH /v2/parties/:party

Authorizations

Authorization
string
header
required

Ledger API standard JWT token

Path Parameters

party
string
required

Body

application/json

Required authorization: HasRight(ParticipantAdmin) OR IsAuthenticatedIdentityProviderAdmin(party_details.identity_provider_id)

partyDetails
PartyDetails · object
required

Party to be updated Modifiable

Required

updateMask
FieldMask · object
required

An update mask specifies how and which properties of the PartyDetails message are to be updated. An update mask consists of a set of update paths. A valid update path points to a field or a subfield relative to the PartyDetails message. A valid update mask must:

  1. contain at least one update path,
  2. contain only valid update paths.

Fields that can be updated are marked as Modifiable. An update path can also point to non-Modifiable fields such as 'party' and 'local_metadata.resource_version' because they are used:

  1. to identify the party details resource subject to the update,
  2. for concurrent change control.

An update path can also point to non-Modifiable fields such as 'is_local' as long as the values provided in the update request match the server values. Examples of update paths: 'local_metadata.annotations', 'local_metadata'. For additional information see the documentation for standard protobuf3's google.protobuf.FieldMask. For similar Ledger API see com.daml.ledger.api.v2.admin.UpdateUserRequest.

Required

Response

partyDetails
PartyDetails · object
required

Updated party details

Required